regex_automaton.h File Reference

Go to the source code of this file.

## Classes

class | std::__detail::_StateSeq< _TraitsT >

## Namespaces

| std
| std::__detail

## Typedefs

template<typename _CharT >
using | std::__detail::_Matcher = std::function< bool(_CharT)>
typedef long | std::__detail::_StateIdT
typedef std::set< _StateIdT > | std::__detail::_StateSet

## Enumerations

enum | std::__detail::_Opcode : int { _S_opcode_unknown, _S_opcode_alternative, _S_opcode_backref, _S_opcode_line_begin_assertion, _S_opcode_line_end_assertion, _S_opcode_word_boundary, _S_opcode_subexpr_lookahead, _S_opcode_subexpr_begin, _S_opcode_subexpr_end, _S_opcode_dummy, _S_opcode_match, _S_opcode_accept }

## Variables

static const _StateIdT | std::__detail::_S_invalid_state_id

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <regex>.

Definition in file regex_automaton.h.